Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Request for your OS source code(Building a Compatibility Prediction Model)
Request for your OS source code [message #868638] Wed, 02 May 2012 10:27
Businge Missing name is currently offline Businge Missing name
Messages: 8
Registered: April 2010
Junior Member
Dear Developer,

I am building a compatibility prediction model for Eclipse-based products/solutions as part of my PhD research. The model will be able to predict source compatibility of an Eclipse-based solution/product supported in a given Eclipse SDK release in a new Eclipse SDK release (within a given accuracy/precision/recall). Am looking for versions of Eclipse-based solutions/products supported in Eclipse SDK 3.5 and are incompatible with Eclipse SDK 3.6 and 3.7 and also those supported in Eclipse SDK 3.6 and are incompatible in Eclipse SDK 3.7. Those supported 3.4 and incompatible with later releases of eclipse SDK are also interesting for me. Currently from the solutions/products I found on repositories like SourceForge, GoogleCode and GitHub supported in 3.5 and 3.6 but are still compatible with later releases of Eclipse SDK. To build the model I need to have some balance on the number of solutions/products compatible and incompatible with later releases of Eclipse SDK. If there are Eclipse-based open source products/solutions developers with these versions I would be glad if they can provide me with a link to their source code.

You can post the link as a reply in this forum of to the e-mail address: johnxu21@gmail.com

The results of this study will be written into a technical paper and submitted to an international conference/journal but I can provide you with a copy upon request.

Many thanks in advance!

Regards,

Businge
Previous Topic:Eclipse throwing error and crashing after the splash screen
Next Topic:How to customize a new workspace created ?
Goto Forum:
  


Current Time: Sun Oct 26 09:52:06 GMT 2014

Powered by FUDForum. Page generated in 0.01942 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software